package com.gh.gamecenter

import android.app.Application
import android.text.TextUtils
import com.bytedance.hume.readapk.HumeSDK
import com.gh.gamecenter.common.constant.Config
import com.gh.gamecenter.provider.ChannelProvider

class ChannelProviderImp:ChannelProvider {
    override fun getChannelStr(application: Application): String {
        var channel = HumeSDK.getChannel(application);
        if (channel == null || TextUtils.isEmpty(channel.trim())) {
            channel = Config.DEFAULT_CHANNEL
        }
        return channel
    }
}